Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.i18n.servlet.localesource
Class HttpAcceptLanguage

    java.lang.Object
      |
      +--oracle.i18n.servlet.localesource.LocaleSource
            |
            +--oracle.i18n.servlet.localesource.HttpAcceptLanguage

All Implemented Interfaces:
  Serializable

public class HttpAcceptLanguage
extends LocaleSource

The `HttpAcceptLanguage` class is a locale source class that carries the language preference of the web client.

On each request, the language preferences of the web client are conveyed by the `Accept-Language` item in the HTTP header. The language preference can be composed of multiple locales. For example, when the client sets the language preferences to French, English, German, and Japanese in this order, the `Accept-Language` value would be as follows:

       Accept-Language: en;q=0.9, fr;q=1.0, de, ja

Considering the locales supported by the application, the `HttpAcceptLanguage` object is instantiated with this value to determine the current user locale. In the preceding example, if the supported locales are `en` and `ja`, the user locale is determined to be `en`, since `fr` and `de` are not supported by the application and `en` has precedence over `ja`. Default Caching : This locale source is not cached in the session by default

Since:
  10.1.0.2
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class oracle.i18n.servlet.localesource.LocaleSource
`LocaleSource.Alignment, LocaleSource.Parameter, LocaleSource.WritingDirection`

Methods inherited from class oracle.i18n.servlet.localesource.LocaleSource
`equals, getAttribute, getCharacterSet, getCollator, getCurrencyFormat, getDateFormat, getDateTimeFormat, getISOCurrency, getLocale, getLocaleSourceClass, getNumberFormat, getTimeFormat, getTimeZone, getWritingDirection, hashCode, isCached, isReadOnly, load, setAttribute, setCharacterSet, setCollator, setCurrencyFormat, setDateFormat, setDateTimeFormat, setISOCurrency, setLocale, setLocale, setLocaleSourceClass, setNumberFormat, setTimeFormat, setTimeZone, setWritingDirection, store`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.